GPencil: Don't show error popup when strokes can't be reordered further
authorJulian Eisel <eiseljulian@gmail.com>
Sun, 18 Sep 2016 16:46:22 +0000 (18:46 +0200)
committerJulian Eisel <eiseljulian@gmail.com>
Sun, 18 Sep 2016 17:08:20 +0000 (19:08 +0200)
Was spawning error popup each time user tried to move a stroke higher or lower than the list allowed. We don't do that anywhere else and it's not really useful info for the user. So rather not bother her.

source/blender/editors/gpencil/gpencil_data.c

index 01d388be658084b3fb9dff11390377bfafc42bfe..ce1e397e91c728560cac86066a72ba6ea1e66b1a 100644 (file)
@@ -761,14 +761,12 @@ static int gp_stroke_arrange_exec(bContext *C, wmOperator *op)
                        /* some stroke is already at front*/
                        if ((direction == GP_STROKE_MOVE_TOP) || (direction == GP_STROKE_MOVE_UP)) {
                                if (gps == gpf->strokes.last) {
-                                       BKE_report(op->reports, RPT_ERROR, "Some selected stroke is already on top");
                                        return OPERATOR_CANCELLED;
                                }
                        }
                        /* some stroke is already at botom */
                        if ((direction == GP_STROKE_MOVE_BOTTOM) || (direction == GP_STROKE_MOVE_DOWN)) {
                                if (gps == gpf->strokes.first) {
-                                       BKE_report(op->reports, RPT_ERROR, "Some selected stroke is already on bottom");
                                        return OPERATOR_CANCELLED;
                                }
                        }